<div class="container edit-element-form">
  <form name="imageEdit" (submit)="updateImageElement()">
    <label>Source:</label>
    <input class="form-control" placeholder="Source" [(ngModel)]="imageSource" name="source">
    <span class="or">
      OR
    </span>
    <button class="btn btn-primary upload-btn" (click)="uploadImageClick()" type="button" [disabled]="busyEncoding">
      Upload image
    </button>
    <div class="image-preview-holder" *ngIf="imageDataUrl">
      <span class="close" (click)="removeUploadedImage()">x</span>
      <img class="image-preview" src="{{imageDataUrl}}">
    </div>
    <app-color-picker
      [title]="'Background Color:'"
      [color]="backgroundColor"
      (colorSelected)="backgroundColorSelected($event)"
    >
    </app-color-picker>
    <label>Border thickness:</label>
    <app-select-dropdown
      [options]="borderWidthOptions"
      [currentSelection]="borderThickness"
      [defaultSelection]="'0px'"
      (selected)="borderThicknessSelected($event)"
    >
    </app-select-dropdown>
    <label>Border style:</label>
    <app-select-dropdown
      [options]="borderStyleOptions"
      [currentSelection]="borderStyle"
      [defaultSelection]="'solid'"
      (selected)="borderStyleSelected($event)"
    >
    </app-select-dropdown>
    <app-color-picker
      [title]="'Border Color:'"
      [color]="borderColor"
      (colorSelected)="borderColorSelected($event)"
    >
    </app-color-picker>
    <button type="submit" class="btn btn-primary">OK</button>
    <input
      type="file"
      style="visibility: hidden"
      id="{{imageUploaderId}}"
      (change)="onImageAdded($event)"
    >
  </form>
</div>